## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# F35: Do not update past 3.9.0. F35's protobuf is too old.

# tests are enabled by default
%bcond_without  tests

%global         srcname     google-cloud-asset
%global         forgeurl    https://github.com/googleapis/python-asset
Version:        3.11.0
%global         tag         v%{version}
%forgemeta

Name:           python-%{srcname}
Release:        %autorelease
Summary:        Python Client for Google Cloud App Engine Admin

License:        ASL 2.0
URL:            %forgeurl
Source0:        %forgesource

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)
%endif

%global _description %{expand:
App Engine Admin allows you to manage your App Engine applications.}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%forgeautosetup -p1

# Replace mock imports with unittest.mock.
grep -rl "^[[:space:]]*import mock" tests | \
    xargs sed -i -E 's/^([[:space:]]*)import mock/\1from unittest import mock/'


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files google

# Remove extra scripts.
rm -f %{buildroot}%{_bindir}/fixup_asset*.py


%check
%pyproject_check_import

%if %{with tests}
# Work around an unusual pytest/PEP 420 issue where pytest can't import the
# installed module. Thanks to mhroncok for the help!
mv google{,_}
%pytest --disable-warnings tests/unit
mv google{_,}
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.rst CHANGELOG.md
%{python3_sitelib}/google_cloud_asset-%{version}-py%{python3_version}-nspkg.pth


%changelog
* Tue Aug 09 2022 Major Hayden <major@redhat.com> 3.11.0-1
- Update to 3.11.0 rhbz#2116800

* Wed Jul 27 2022 Major Hayden <major@redhat.com> 3.10.0-1
- Update to 3.10.0 rhbz#2108597

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> 3.9.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 28 2022 Major Hayden <major@redhat.com> 3.9.1-3
- Add import check rhbz#2098930

* Tue Jun 28 2022 Python Maint <python-maint@redhat.com> 3.9.1-2
- Rebuilt for Python 3.11

* Mon Jun 13 2022 Major Hayden <major@redhat.com> 3.9.1-1
- Update to 3.9.0

* Thu May 19 2022 Major Hayden <major@mhtx.net> 3.9.0-1
- 🚀 Update to 3.9.0

* Tue Mar 08 2022 Major Hayden <major@redhat.com> 3.8.1-1
- Update to 3.8.1

* Tue Mar 01 2022 Major Hayden <major@redhat.com> 3.8.0-1
- Update to 3.8.0

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 3.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Nov 03 2021 Major Hayden <major@redhat.com> 3.7.1-1
- Update to 3.7.1

* Wed Oct 13 2021 Major Hayden <major@mhtx.net> 3.7.0-1
- Update to 3.7.0

* Tue Oct 05 2021 Major Hayden <major@mhtx.net> 3.6.1-1
- Initial import (#1998339)
